$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.31-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.31-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '0C39DA9A9F4C53F1DE482F2E59EAA89AED99FAAFD4E2C6E34A359AEE9DD71D2F'
  checksumType = 'sha256'
  checksum64 = '0C39DA9A9F4C53F1DE482F2E59EAA89AED99FAAFD4E2C6E34A359AEE9DD71D2F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.31-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
